#ifndef __gps_routines
#define __gps_routines

#include "datatypes.h"

#define NMEA_GPRMC 5

//           4-  
//     yyymm.dddd  04831.4406
//  yyy -  (  180)
// mm -  (  60)
// dddd -   
//      
// uint8 yyy
// uint8 mm
// uint16 dddd
extern GPS_COORD coord_str_to_packed(char * string);
extern GPS_GPRMC NMEA_Parse_GPRMC(char * string);

extern uint8_t NMEA_Get_Cmd_Code(char * str);
extern double haversine_km(double lat1, double long1,double lat2, double long2);
extern double Calc_Distance(double latitude1, double longitude1, double latitude2, double longitude2);
#endif
